%def_disable static

Name: libsvg-cairo
Version: 0.1.6
Release: alt2
License: BSD-like
Group: System/Libraries
URL: http://www.xsvg.org/
Summary: SVG rendering using Cairo

Source0: %name-%version.tar.gz

# Automatically added by buildreq on Wed Aug 30 2006
BuildRequires: gcc-c++ libXt-devel libcairo-devel libjpeg-devel libpng-devel libsvg-devel libxml2-devel pkg-config

%description
libxsvg provides the ability to render SVG content from files or
buffers. All rendering is performed using the Cairo rendering library
(formerly called Xr).

%package devel
Summary: Header files for libxsvg library
Group: Development/C++
Requires: %name = %version-%release

%description devel
Header files for libxsvg library.

%package static
Summary: Static libxsvg library
Group: Development/C++
Requires: %name-devel = %version-%release

%description static
Static libxsvg library.

%prep
%setup -q

%build
%configure \
	%{subst_enable static}
%make_build

%install
%make DESTDIR=%buildroot  install

%post
%post_ldconfig

%postun
%postun_ldconfig

%files
%_libdir/lib*.so.*

%files devel
%_libdir/lib*.so
%_includedir/*.h
%_pkgconfigdir/*.pc

%if_enabled static
%files static
%_libdir/lib*.a
%endif

%changelog
* Wed Aug 30 2006 Valery Inozemtsev <shrek@altlinux.ru> 0.1.6-alt2
- updated build dependencies

* Sat Aug 13 2005 ALT QA Team Robot <qa-robot@altlinux.org> 0.1.6-alt1.1
- rebuild with libcairo-0.9.0

* Sat Jul 23 2005 Valery Inozemtsev <shrek@altlinux.ru> 0.1.6-alt1
- 0.1.6

* Sat Feb 26 2005 Valery Inozemtsev <shrek@altlinux.ru> 0.1.5-alt1
- initial release

